Skip to main content
GET
/
agents
내 에이전트 목록 조회
curl --request GET \
  --url https://api.example.com/agents \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "agent_id": 123,
      "owner_id": 123,
      "name": "<string>",
      "system_prompt": "<string>",
      "is_active": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "role_description": "<string>",
      "template_source": "<string>"
    }
  ],
  "total": 123,
  "page": 123,
  "size": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0
q
string | null

에이전트 이름/역할 설명 검색 키워드

Response

Successful Response

items
AIAgentResponse · object[]
required
total
integer
required
page
integer
required
size
integer
required